Skip to main content
GET
/
v1
/
ads
List Ads
curl --request GET \
  --url https://api.mosaic.dev/v1/ads \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "id": 123,
      "ad_archive_id": "<string>",
      "brand_id": 123,
      "is_creator_ad": true,
      "delivery_start_at": 123,
      "is_active": true,
      "media_type": "image",
      "cards": [
        {}
      ],
      "last_scraped_at": 123,
      "creator_page_id": "<string>",
      "creator_page_name": "<string>",
      "creator_confidence": "explicit",
      "last_seen_at": 123,
      "running_days": 123,
      "creative_hash": "<string>",
      "primary_text": "<string>",
      "cta_text": "<string>",
      "destination_url": "<string>",
      "destination_domain": "<string>",
      "search_text": "<string>",
      "scrape_run_id": 123,
      "created_at": 123,
      "updated_at": 123
    }
  ],
  "meta": {
    "total": 123,
    "limit": 123,
    "has_more": true,
    "next_cursor": "<string>"
  }
}

Authorizations

X-API-Key
string
header
required

API key for authentication. Obtain from your Mosaic dashboard.

Query Parameters

limit
integer
default:25

Maximum number of results to return (default: 25, max: 100)

Required range: 1 <= x <= 100
cursor
string

Pagination cursor from previous response

is_active
boolean

Filter by active status

media_type
enum<string>

Filter by media type

Available options:
image,
video,
carousel,
unknown
brand_id
integer

Filter by brand ID

Response

200 - application/json

List of ads

data
object[]
meta
object